#language: ru

@financial_results

Функционал: 002. financial_results. Создание и проверка сценариев распределения затрат

Сценарий: 002.1. financial_results. Создание сценария распределения затрат Аренда

	Дано Я подключаюсь под "Администратор"
	Дано я устанавливаю текущему сеансу заголовок приложения "01.002. ФинРез"
	Дано я удаляю объекты "Справочники.к2СценарииРаспределенияЗатрат" без контроля ссылок
	И Я начинаю создавать сценарий распределения затрат "Аренда" для организации "ТД_Молочный мир"
	И Я устанавливаю в сценарии распределения затрат показатель "Сумма"
	* Проверка заполнения всех полей
		Тогда элемент формы с именем "Организация" стал равен 'ТД_Молочный мир'
		И элемент формы с именем "НаправлениеДеятельности" стал равен 'Основное направление'
		И элемент формы с именем "Пояснение" стал равен 'Аренда'
		И элемент формы с именем "Наименование" стал равен 'Аренда'
		И элемент формы с именем "ОстатокЗатратНаКонецМесяца" стал равен 'Да'
		И элемент формы с именем "ОстатокЗатратНаДату" стал равен ''
		И таблица "КомпоновщикНастроек_ЗатратыПользовательскиеНастройки" стала равной:
			| 'Использование' | 'Значение'                                  | 'Настройка'        | 'Вид сравнения' |
			| 'Нет'           | ''                                          | 'Подразделение'    | 'Равно'         |
			| 'Да'            | 'Аренда'                                    | 'Статья затрат'    | 'Равно'         |
			| 'Нет'           | ''                                          | 'Аналитика затрат' | 'Равно'         |
			| ''              | ''                                          | 'Отбор'            | ''              |
			| ''              | 'Подразделение.Наименование, Статья затрат' | 'Сортировка'       | ''              |
		И элемент формы с именем "Показатель" стал равен 'Сумма'
		И элемент формы с именем "ФиксированнаяБаза" стал равен 'Нет'
		И элемент формы с именем "СвояБазаНаКаждуюСтроку" стал равен 'Да'
		Тогда в таблице "База" количество строк "равно" 0
		И элемент формы с именем "БазаРаспределенияНаМесяцДокумента" стал равен 'Да'
		И таблица "КомпоновщикНастроек_БазаРаспределенияПользовательскиеНастройки" стала равной:
			| 'Использование' | 'Значение'                                                                 | 'Настройка'                       | 'Вид сравнения' |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'Менеджеры.ТорговыйПредставитель' | 'Равно'         |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'Менеджеры.МенеджерНаправления'   | 'Равно'         |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'Менеджеры.МенеджерКлиента'       | 'Равно'         |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'ТоварнаяКатегория'               | 'Равно'         |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'МаркетинговоеМероприятие'        | 'Равно'         |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'Доставка.Перевозчик'             | 'Равно'         |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'Доставка.ТранспортноеСредство'   | 'Равно'         |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'Доставка.Водитель'               | 'Равно'         |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'Доставка.ЗаданиеНаДоставку'      | 'Равно'         |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'Холдинг'                         | 'Равно'         |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'Контрагент'                      | 'Равно'         |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'ЗаказКлиента'                    | 'Равно'         |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'Подразделение'                   | 'Равно'         |
			| ''              | ''                                                                         | 'Отбор'                           | ''              |
			| ''              | 'Контрагент, Документ продажи, Номенклатура'                               | 'Сортировка'                      | ''              |
			| ''              | 'Заказ клиента, Контрагент, Подразделение, Номенклатура, Документ продажи' | 'Группировка'                     | ''              |
		И элемент формы с именем "БазаРаспределения_НачалоПериода" стал равен ''
		И элемент формы с именем "БазаРаспределения_ОкончаниеПериода" стал равен ''
	И Я заканчиваю создавать сценарий распределения затрат
	
Сценарий: 002.2. financial_results. Создание сценария распределения затрат З/П Менеджера клиента

	И Я начинаю создавать сценарий распределения затрат "З/П Менеджера клиента" для организации "ТД_Молочный мир"
	И Я устанавливаю в сценарии распределения затрат показатель "Валовая прибыль"
	И Я устанавливаю в сценарии распределения затрат пользовательские настройки "Менеджеры.МенеджерКлиента"
	* Проверка заполнения всех полей
		Тогда элемент формы с именем "Организация" стал равен 'ТД_Молочный мир'
		И элемент формы с именем "НаправлениеДеятельности" стал равен 'Основное направление'
		И элемент формы с именем "Пояснение" стал равен 'З/П Менеджера клиента'
		И элемент формы с именем "Наименование" стал равен 'З/П Менеджера клиента'
		И элемент формы с именем "ОстатокЗатратНаКонецМесяца" стал равен 'Да'
		И элемент формы с именем "ОстатокЗатратНаДату" стал равен ''
		И таблица "КомпоновщикНастроек_ЗатратыПользовательскиеНастройки" стала равной:
			| 'Использование' | 'Значение'                                  | 'Настройка'        | 'Вид сравнения' |
			| 'Нет'           | ''                                          | 'Подразделение'    | 'Равно'         |
			| 'Да'            | 'З/П Менеджера клиента'                     | 'Статья затрат'    | 'Равно'         |
			| 'Нет'           | ''                                          | 'Аналитика затрат' | 'Равно'         |
			| ''              | ''                                          | 'Отбор'            | ''              |
			| ''              | 'Подразделение.Наименование, Статья затрат' | 'Сортировка'       | ''              |
		И элемент формы с именем "Показатель" стал равен 'Валовая прибыль'
		И элемент формы с именем "ФиксированнаяБаза" стал равен 'Нет'
		И элемент формы с именем "СвояБазаНаКаждуюСтроку" стал равен 'Да'
		Тогда в таблице "База" количество строк "равно" 0
		И элемент формы с именем "БазаРаспределенияНаМесяцДокумента" стал равен 'Да'
		Тогда таблица "КомпоновщикНастроек_БазаРаспределенияПользовательскиеНастройки" стала равной:
			| 'Использование' | 'Значение'                                                                 | 'Настройка'                       | 'Вид сравнения' |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'Менеджеры.ТорговыйПредставитель' | 'Равно'         |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'Менеджеры.МенеджерНаправления'   | 'Равно'         |
			| 'Да'            | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'Менеджеры.МенеджерКлиента'       | 'Равно'         |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'ТоварнаяКатегория'               | 'Равно'         |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'МаркетинговоеМероприятие'        | 'Равно'         |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'Доставка.Перевозчик'             | 'Равно'         |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'Доставка.ТранспортноеСредство'   | 'Равно'         |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'Доставка.Водитель'               | 'Равно'         |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'Доставка.ЗаданиеНаДоставку'      | 'Равно'         |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'Холдинг'                         | 'Равно'         |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'Контрагент'                      | 'Равно'         |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'ЗаказКлиента'                    | 'Равно'         |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'Подразделение'                   | 'Равно'         |
			| ''              | ''                                                                         | 'Отбор'                           | ''              |
			| ''              | 'Контрагент, Документ продажи, Номенклатура'                               | 'Сортировка'                      | ''              |
			| ''              | 'Заказ клиента, Контрагент, Подразделение, Номенклатура, Документ продажи' | 'Группировка'                     | ''              |
		И элемент формы с именем "БазаРаспределения_НачалоПериода" стал равен ''
		И элемент формы с именем "БазаРаспределения_ОкончаниеПериода" стал равен ''
	И Я заканчиваю создавать сценарий распределения затрат

Сценарий: 002.3. financial_results. Создание сценария распределения затрат З/П Руководителя направления

	И Я начинаю создавать сценарий распределения затрат "З/П Руководителя направления" для организации "ТД_Молочный мир"
	И Я устанавливаю в сценарии распределения затрат показатель "Валовая прибыль"
	И Я устанавливаю в сценарии распределения затрат пользовательские настройки "Менеджеры.МенеджерНаправления"
	* Проверка заполнения всех полей
		Тогда элемент формы с именем "Организация" стал равен 'ТД_Молочный мир'
		И элемент формы с именем "НаправлениеДеятельности" стал равен 'Основное направление'
		И элемент формы с именем "Пояснение" стал равен 'З/П Руководителя направления'
		И элемент формы с именем "Наименование" стал равен 'З/П Руководителя направления'
		И элемент формы с именем "ОстатокЗатратНаКонецМесяца" стал равен 'Да'
		И элемент формы с именем "ОстатокЗатратНаДату" стал равен ''
		И таблица "КомпоновщикНастроек_ЗатратыПользовательскиеНастройки" стала равной:
			| 'Использование' | 'Значение'                                  | 'Настройка'        | 'Вид сравнения' |
			| 'Нет'           | ''                                          | 'Подразделение'    | 'Равно'         |
			| 'Да'            | 'З/П Руководителя направления'              | 'Статья затрат'    | 'Равно'         |
			| 'Нет'           | ''                                          | 'Аналитика затрат' | 'Равно'         |
			| ''              | ''                                          | 'Отбор'            | ''              |
			| ''              | 'Подразделение.Наименование, Статья затрат' | 'Сортировка'       | ''              |
		И элемент формы с именем "Показатель" стал равен 'Валовая прибыль'
		И элемент формы с именем "ФиксированнаяБаза" стал равен 'Нет'
		И элемент формы с именем "СвояБазаНаКаждуюСтроку" стал равен 'Да'
		Тогда в таблице "База" количество строк "равно" 0
		И элемент формы с именем "БазаРаспределенияНаМесяцДокумента" стал равен 'Да'
		Тогда таблица "КомпоновщикНастроек_БазаРаспределенияПользовательскиеНастройки" стала равной:
			| 'Использование' | 'Значение'                                                                 | 'Настройка'                       | 'Вид сравнения' |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'Менеджеры.ТорговыйПредставитель' | 'Равно'         |
			| 'Да'            | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'Менеджеры.МенеджерНаправления'   | 'Равно'         |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'Менеджеры.МенеджерКлиента'       | 'Равно'         |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'ТоварнаяКатегория'               | 'Равно'         |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'МаркетинговоеМероприятие'        | 'Равно'         |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'Доставка.Перевозчик'             | 'Равно'         |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'Доставка.ТранспортноеСредство'   | 'Равно'         |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'Доставка.Водитель'               | 'Равно'         |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'Доставка.ЗаданиеНаДоставку'      | 'Равно'         |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'Холдинг'                         | 'Равно'         |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'Контрагент'                      | 'Равно'         |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'ЗаказКлиента'                    | 'Равно'         |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'Подразделение'                   | 'Равно'         |
			| ''              | ''                                                                         | 'Отбор'                           | ''              |
			| ''              | 'Контрагент, Документ продажи, Номенклатура'                               | 'Сортировка'                      | ''              |
			| ''              | 'Заказ клиента, Контрагент, Подразделение, Номенклатура, Документ продажи' | 'Группировка'                     | ''              |
		И элемент формы с именем "БазаРаспределения_НачалоПериода" стал равен ''
		И элемент формы с именем "БазаРаспределения_ОкончаниеПериода" стал равен ''
	И Я заканчиваю создавать сценарий распределения затрат

Сценарий: 002.4. financial_results. Создание сценария распределения затрат З/П Водитель

	И Я начинаю создавать сценарий распределения затрат "З/П Водитель" для организации "ТД_Молочный мир"
	И Я устанавливаю в сценарии распределения затрат показатель "Сумма"
	И Я устанавливаю в сценарии распределения затрат пользовательские настройки "Доставка.Водитель"
	* Проверка заполнения всех полей
		Тогда элемент формы с именем "Организация" стал равен 'ТД_Молочный мир'
		И элемент формы с именем "НаправлениеДеятельности" стал равен 'Основное направление'
		И элемент формы с именем "Пояснение" стал равен 'З/П Водитель'
		И элемент формы с именем "Наименование" стал равен 'З/П Водитель'
		И элемент формы с именем "ОстатокЗатратНаКонецМесяца" стал равен 'Да'
		И элемент формы с именем "ОстатокЗатратНаДату" стал равен ''
		И таблица "КомпоновщикНастроек_ЗатратыПользовательскиеНастройки" стала равной:
			| 'Использование' | 'Значение'                                  | 'Настройка'        | 'Вид сравнения' |
			| 'Нет'           | ''                                          | 'Подразделение'    | 'Равно'         |
			| 'Да'            | 'З/П Водитель'                              | 'Статья затрат'    | 'Равно'         |
			| 'Нет'           | ''                                          | 'Аналитика затрат' | 'Равно'         |
			| ''              | ''                                          | 'Отбор'            | ''              |
			| ''              | 'Подразделение.Наименование, Статья затрат' | 'Сортировка'       | ''              |
		И элемент формы с именем "Показатель" стал равен 'Сумма'
		И элемент формы с именем "ФиксированнаяБаза" стал равен 'Нет'
		И элемент формы с именем "СвояБазаНаКаждуюСтроку" стал равен 'Да'
		Тогда в таблице "База" количество строк "равно" 0
		И элемент формы с именем "БазаРаспределенияНаМесяцДокумента" стал равен 'Да'
		Тогда таблица "КомпоновщикНастроек_БазаРаспределенияПользовательскиеНастройки" стала равной:
			| 'Использование' | 'Значение'                                                                 | 'Настройка'                       | 'Вид сравнения' |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'Менеджеры.ТорговыйПредставитель' | 'Равно'         |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'Менеджеры.МенеджерНаправления'   | 'Равно'         |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'Менеджеры.МенеджерКлиента'       | 'Равно'         |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'ТоварнаяКатегория'               | 'Равно'         |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'МаркетинговоеМероприятие'        | 'Равно'         |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'Доставка.Перевозчик'             | 'Равно'         |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'Доставка.ТранспортноеСредство'   | 'Равно'         |
			| 'Да'            | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'Доставка.Водитель'               | 'Равно'         |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'Доставка.ЗаданиеНаДоставку'      | 'Равно'         |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'Холдинг'                         | 'Равно'         |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'Контрагент'                      | 'Равно'         |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'ЗаказКлиента'                    | 'Равно'         |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'Подразделение'                   | 'Равно'         |
			| ''              | ''                                                                         | 'Отбор'                           | ''              |
			| ''              | 'Контрагент, Документ продажи, Номенклатура'                               | 'Сортировка'                      | ''              |
			| ''              | 'Заказ клиента, Контрагент, Подразделение, Номенклатура, Документ продажи' | 'Группировка'                     | ''              |
		И элемент формы с именем "БазаРаспределения_НачалоПериода" стал равен ''
		И элемент формы с именем "БазаРаспределения_ОкончаниеПериода" стал равен ''
	И Я заканчиваю создавать сценарий распределения затрат

Сценарий: 002.5. financial_results. Создание сценария распределения затрат Маркетинг (акция)

	И Я начинаю создавать сценарий распределения затрат "Маркетинг (акция)" для организации "ТД_Молочный мир"
	И Я устанавливаю в сценарии распределения затрат показатель "Сумма"
	И Я устанавливаю в сценарии распределения затрат пользовательские настройки "МаркетинговоеМероприятие"
	* Проверка заполнения всех полей
		Тогда элемент формы с именем "Организация" стал равен 'ТД_Молочный мир'
		И элемент формы с именем "НаправлениеДеятельности" стал равен 'Основное направление'
		И элемент формы с именем "Пояснение" стал равен 'Маркетинг (акция)'
		И элемент формы с именем "Наименование" стал равен 'Маркетинг (акция)'
		И элемент формы с именем "ОстатокЗатратНаКонецМесяца" стал равен 'Да'
		И элемент формы с именем "ОстатокЗатратНаДату" стал равен ''
		И таблица "КомпоновщикНастроек_ЗатратыПользовательскиеНастройки" стала равной:
			| 'Использование' | 'Значение'                                  | 'Настройка'        | 'Вид сравнения' |
			| 'Нет'           | ''                                          | 'Подразделение'    | 'Равно'         |
			| 'Да'            | 'Маркетинг (акция)'                         | 'Статья затрат'    | 'Равно'         |
			| 'Нет'           | ''                                          | 'Аналитика затрат' | 'Равно'         |
			| ''              | ''                                          | 'Отбор'            | ''              |
			| ''              | 'Подразделение.Наименование, Статья затрат' | 'Сортировка'       | ''              |
		И элемент формы с именем "Показатель" стал равен 'Сумма'
		И элемент формы с именем "ФиксированнаяБаза" стал равен 'Нет'
		И элемент формы с именем "СвояБазаНаКаждуюСтроку" стал равен 'Да'
		Тогда в таблице "База" количество строк "равно" 0
		И элемент формы с именем "БазаРаспределенияНаМесяцДокумента" стал равен 'Да'
		Тогда таблица "КомпоновщикНастроек_БазаРаспределенияПользовательскиеНастройки" стала равной:
			| 'Использование' | 'Значение'                                                                 | 'Настройка'                       | 'Вид сравнения' |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'Менеджеры.ТорговыйПредставитель' | 'Равно'         |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'Менеджеры.МенеджерНаправления'   | 'Равно'         |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'Менеджеры.МенеджерКлиента'       | 'Равно'         |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'ТоварнаяКатегория'               | 'Равно'         |
			| 'Да'            | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'МаркетинговоеМероприятие'        | 'Равно'         |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'Доставка.Перевозчик'             | 'Равно'         |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'Доставка.ТранспортноеСредство'   | 'Равно'         |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'Доставка.Водитель'               | 'Равно'         |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'Доставка.ЗаданиеНаДоставку'      | 'Равно'         |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'Холдинг'                         | 'Равно'         |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'Контрагент'                      | 'Равно'         |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'ЗаказКлиента'                    | 'Равно'         |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'Подразделение'                   | 'Равно'         |
			| ''              | ''                                                                         | 'Отбор'                           | ''              |
			| ''              | 'Контрагент, Документ продажи, Номенклатура'                               | 'Сортировка'                      | ''              |
			| ''              | 'Заказ клиента, Контрагент, Подразделение, Номенклатура, Документ продажи' | 'Группировка'                     | ''              |
		И элемент формы с именем "БазаРаспределения_НачалоПериода" стал равен ''
		И элемент формы с именем "БазаРаспределения_ОкончаниеПериода" стал равен ''
	И Я заканчиваю создавать сценарий распределения затрат

Сценарий: 002.6. financial_results. Создание сценария распределения затрат Маркетинг (товарная категория)

	И Я начинаю создавать сценарий распределения затрат "Маркетинг (товарная категория)" для организации "ТД_Молочный мир"
	И Я устанавливаю в сценарии распределения затрат показатель "Сумма"
	И Я устанавливаю в сценарии распределения затрат пользовательские настройки "ТоварнаяКатегория"
	* Проверка заполнения всех полей
		Тогда элемент формы с именем "Организация" стал равен 'ТД_Молочный мир'
		И элемент формы с именем "НаправлениеДеятельности" стал равен 'Основное направление'
		И элемент формы с именем "Пояснение" стал равен 'Маркетинг (товарная категория)'
		И элемент формы с именем "Наименование" стал равен 'Маркетинг (товарная категория)'
		И элемент формы с именем "ОстатокЗатратНаКонецМесяца" стал равен 'Да'
		И элемент формы с именем "ОстатокЗатратНаДату" стал равен ''
		И таблица "КомпоновщикНастроек_ЗатратыПользовательскиеНастройки" стала равной:
			| 'Использование' | 'Значение'                                  | 'Настройка'        | 'Вид сравнения' |
			| 'Нет'           | ''                                          | 'Подразделение'    | 'Равно'         |
			| 'Да'            | 'Маркетинг (товарная категория)'            | 'Статья затрат'    | 'Равно'         |
			| 'Нет'           | ''                                          | 'Аналитика затрат' | 'Равно'         |
			| ''              | ''                                          | 'Отбор'            | ''              |
			| ''              | 'Подразделение.Наименование, Статья затрат' | 'Сортировка'       | ''              |
		И элемент формы с именем "Показатель" стал равен 'Сумма'
		И элемент формы с именем "ФиксированнаяБаза" стал равен 'Нет'
		И элемент формы с именем "СвояБазаНаКаждуюСтроку" стал равен 'Да'
		Тогда в таблице "База" количество строк "равно" 0
		И элемент формы с именем "БазаРаспределенияНаМесяцДокумента" стал равен 'Да'
		Тогда таблица "КомпоновщикНастроек_БазаРаспределенияПользовательскиеНастройки" стала равной:
			| 'Использование' | 'Значение'                                                                 | 'Настройка'                       | 'Вид сравнения' |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'Менеджеры.ТорговыйПредставитель' | 'Равно'         |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'Менеджеры.МенеджерНаправления'   | 'Равно'         |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'Менеджеры.МенеджерКлиента'       | 'Равно'         |
			| 'Да'            | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'ТоварнаяКатегория'               | 'Равно'         |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'МаркетинговоеМероприятие'        | 'Равно'         |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'Доставка.Перевозчик'             | 'Равно'         |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'Доставка.ТранспортноеСредство'   | 'Равно'         |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'Доставка.Водитель'               | 'Равно'         |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'Доставка.ЗаданиеНаДоставку'      | 'Равно'         |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'Холдинг'                         | 'Равно'         |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'Контрагент'                      | 'Равно'         |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'ЗаказКлиента'                    | 'Равно'         |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'Подразделение'                   | 'Равно'         |
			| ''              | ''                                                                         | 'Отбор'                           | ''              |
			| ''              | 'Контрагент, Документ продажи, Номенклатура'                               | 'Сортировка'                      | ''              |
			| ''              | 'Заказ клиента, Контрагент, Подразделение, Номенклатура, Документ продажи' | 'Группировка'                     | ''              |
		И элемент формы с именем "БазаРаспределения_НачалоПериода" стал равен ''
		И элемент формы с именем "БазаРаспределения_ОкончаниеПериода" стал равен ''
	И Я заканчиваю создавать сценарий распределения затрат

Сценарий: 002.7. financial_results. Создание сценария распределения затрат Транспортные расходы (бензин)

	И Я начинаю создавать сценарий распределения затрат "Транспортные расходы (бензин)" для организации "ТД_Молочный мир"
	И Я устанавливаю в сценарии распределения затрат показатель "Сумма"
	И Я устанавливаю в сценарии распределения затрат пользовательские настройки "Доставка.ТранспортноеСредство"
	* Проверка заполнения всех полей
		Тогда элемент формы с именем "Организация" стал равен 'ТД_Молочный мир'
		И элемент формы с именем "НаправлениеДеятельности" стал равен 'Основное направление'
		И элемент формы с именем "Пояснение" стал равен 'Транспортные расходы (бензин)'
		И элемент формы с именем "Наименование" стал равен 'Транспортные расходы (бензин)'
		И элемент формы с именем "ОстатокЗатратНаКонецМесяца" стал равен 'Да'
		И элемент формы с именем "ОстатокЗатратНаДату" стал равен ''
		И таблица "КомпоновщикНастроек_ЗатратыПользовательскиеНастройки" стала равной:
			| 'Использование' | 'Значение'                                  | 'Настройка'        | 'Вид сравнения' |
			| 'Нет'           | ''                                          | 'Подразделение'    | 'Равно'         |
			| 'Да'            | 'Транспортные расходы (Бензин)'             | 'Статья затрат'    | 'Равно'         |
			| 'Нет'           | ''                                          | 'Аналитика затрат' | 'Равно'         |
			| ''              | ''                                          | 'Отбор'            | ''              |
			| ''              | 'Подразделение.Наименование, Статья затрат' | 'Сортировка'       | ''              |
		И элемент формы с именем "Показатель" стал равен 'Сумма'
		И элемент формы с именем "ФиксированнаяБаза" стал равен 'Нет'
		И элемент формы с именем "СвояБазаНаКаждуюСтроку" стал равен 'Да'
		Тогда в таблице "База" количество строк "равно" 0
		И элемент формы с именем "БазаРаспределенияНаМесяцДокумента" стал равен 'Да'
		Тогда таблица "КомпоновщикНастроек_БазаРаспределенияПользовательскиеНастройки" стала равной:
			| 'Использование' | 'Значение'                                                                 | 'Настройка'                       | 'Вид сравнения' |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'Менеджеры.ТорговыйПредставитель' | 'Равно'         |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'Менеджеры.МенеджерНаправления'   | 'Равно'         |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'Менеджеры.МенеджерКлиента'       | 'Равно'         |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'ТоварнаяКатегория'               | 'Равно'         |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'МаркетинговоеМероприятие'        | 'Равно'         |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'Доставка.Перевозчик'             | 'Равно'         |
			| 'Да'            | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'Доставка.ТранспортноеСредство'   | 'Равно'         |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'Доставка.Водитель'               | 'Равно'         |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'Доставка.ЗаданиеНаДоставку'      | 'Равно'         |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'Холдинг'                         | 'Равно'         |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'Контрагент'                      | 'Равно'         |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'ЗаказКлиента'                    | 'Равно'         |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'Подразделение'                   | 'Равно'         |
			| ''              | ''                                                                         | 'Отбор'                           | ''              |
			| ''              | 'Контрагент, Документ продажи, Номенклатура'                               | 'Сортировка'                      | ''              |
			| ''              | 'Заказ клиента, Контрагент, Подразделение, Номенклатура, Документ продажи' | 'Группировка'                     | ''              |
		И элемент формы с именем "БазаРаспределения_НачалоПериода" стал равен ''
		И элемент формы с именем "БазаРаспределения_ОкончаниеПериода" стал равен ''
	И Я заканчиваю создавать сценарий распределения затрат

Сценарий: 002.8. financial_results. Создание сценария распределения затрат Транспортные расходы (поставщик)

	И Я начинаю создавать сценарий распределения затрат "Транспортные расходы (поставщик)" для организации "ТД_Молочный мир"
	И Я устанавливаю в сценарии распределения затрат показатель "Сумма"
	И Я устанавливаю в сценарии распределения затрат пользовательские настройки "Доставка.Перевозчик"
	* Проверка заполнения всех полей
		Тогда элемент формы с именем "Организация" стал равен 'ТД_Молочный мир'
		И элемент формы с именем "НаправлениеДеятельности" стал равен 'Основное направление'
		И элемент формы с именем "Пояснение" стал равен 'Транспортные расходы (поставщик)'
		И элемент формы с именем "Наименование" стал равен 'Транспортные расходы (поставщик)'
		И элемент формы с именем "ОстатокЗатратНаКонецМесяца" стал равен 'Да'
		И элемент формы с именем "ОстатокЗатратНаДату" стал равен ''
		И таблица "КомпоновщикНастроек_ЗатратыПользовательскиеНастройки" стала равной:
			| 'Использование' | 'Значение'                                  | 'Настройка'        | 'Вид сравнения' |
			| 'Нет'           | ''                                          | 'Подразделение'    | 'Равно'         |
			| 'Да'            | 'Транспортные расходы (поставщик)'          | 'Статья затрат'    | 'Равно'         |
			| 'Нет'           | ''                                          | 'Аналитика затрат' | 'Равно'         |
			| ''              | ''                                          | 'Отбор'            | ''              |
			| ''              | 'Подразделение.Наименование, Статья затрат' | 'Сортировка'       | ''              |
		И элемент формы с именем "Показатель" стал равен 'Сумма'
		И элемент формы с именем "ФиксированнаяБаза" стал равен 'Нет'
		И элемент формы с именем "СвояБазаНаКаждуюСтроку" стал равен 'Да'
		Тогда в таблице "База" количество строк "равно" 0
		И элемент формы с именем "БазаРаспределенияНаМесяцДокумента" стал равен 'Да'
		Тогда таблица "КомпоновщикНастроек_БазаРаспределенияПользовательскиеНастройки" стала равной:
			| 'Использование' | 'Значение'                                                                 | 'Настройка'                       | 'Вид сравнения' |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'Менеджеры.ТорговыйПредставитель' | 'Равно'         |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'Менеджеры.МенеджерНаправления'   | 'Равно'         |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'Менеджеры.МенеджерКлиента'       | 'Равно'         |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'ТоварнаяКатегория'               | 'Равно'         |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'МаркетинговоеМероприятие'        | 'Равно'         |
			| 'Да'            | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'Доставка.Перевозчик'             | 'Равно'         |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'Доставка.ТранспортноеСредство'   | 'Равно'         |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'Доставка.Водитель'               | 'Равно'         |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'Доставка.ЗаданиеНаДоставку'      | 'Равно'         |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'Холдинг'                         | 'Равно'         |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'Контрагент'                      | 'Равно'         |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'ЗаказКлиента'                    | 'Равно'         |
			| 'Нет'           | 'ПараметрыДанных.АналитикаЗатрат'                                          | 'Подразделение'                   | 'Равно'         |
			| ''              | ''                                                                         | 'Отбор'                           | ''              |
			| ''              | 'Контрагент, Документ продажи, Номенклатура'                               | 'Сортировка'                      | ''              |
			| ''              | 'Заказ клиента, Контрагент, Подразделение, Номенклатура, Документ продажи' | 'Группировка'                     | ''              |
		И элемент формы с именем "БазаРаспределения_НачалоПериода" стал равен ''
		И элемент формы с именем "БазаРаспределения_ОкончаниеПериода" стал равен ''
	И Я заканчиваю создавать сценарий распределения затрат

Сценарий: 002.9. financial_results. Проверка отборов на форме списка сценариев распределения затрат

	И В командном интерфейсе я выбираю 'Деньги' 'Сценарии распределения затрат'
	Тогда открылось окно 'Сценарии распределения затрат'
	* Проверка отбора по организации
		И из выпадающего списка с именем "_Отбор_Организация" я выбираю по строке 'Молочный мир'
		Тогда в таблице "Список" количество строк "равно" 0
	* Очистка отбора по организации
		И я нажимаю кнопку очистить у поля с именем "_Отбор_Организация"
	* Проверка отбора по направлению деятельности
		И из выпадающего списка с именем "_Отбор_НаправлениеДеятельности" я выбираю по строке 'Новое направление деятельности'
		Тогда в таблице "Список" количество строк "равно" 0
	* Очистка отбора по направлению деятельности
		И я нажимаю кнопку очистить у поля с именем "_Отбор_НаправлениеДеятельности"
	* Проверка отбора по показателю
		И из выпадающего списка с именем "_Отбор_Показатель" я выбираю по строке 'Вес'
		Тогда в таблице "Список" количество строк "равно" 0
	* Очистка отбора по показателю
		И я нажимаю кнопку очистить у поля с именем "_Отбор_Показатель"
	И Я закрываю окно 'Сценарии распределения затрат'